> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Product Order

> Purchase a document/filing for a company, you will need the product code from Filing Search.



## OpenAPI

````yaml /openapi/company_v1.yaml post /core/filing/order
openapi: 3.0.1
info:
  title: Kyckr Companies V1 API
  description: |
    Kyckr Companies V1 API
  version: '1.0'
  contact:
    name: Kyckr APIs
    email: support@kyckr.com
servers:
  - url: https://rest.kyckr.com
    description: Production
  - url: https://rest.kyckr.com/test
    description: Test
security:
  - apiKey: []
tags:
  - name: Account
  - name: Company Profile
  - name: Company Search
  - name: Price
  - name: Registry Documents
  - name: UBO Verify
  - name: Lite
paths:
  /core/filing/order:
    post:
      tags:
        - Registry Documents
      summary: Product Order
      description: >-
        Purchase a document/filing for a company, you will need the product code
        from Filing Search.
      operationId: Filing_ProductOrder
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                countryISO: IE
                productKey: CROOFF_12345
                companyName: Kyckr
                orderRef: Optional reference here
              properties:
                countryISO:
                  type: string
                productKey:
                  type: string
                companyName:
                  type: string
                orderRef:
                  type: string
              required:
                - countryISO
                - productKey
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  Result:
                    type: boolean
                  Message:
                    type: string
                  orderRef:
                    type: string
                example:
                  Result: true
                  Message: Order Successful
                  orderRef: My Reference
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````